TAAS - Feature #92

Period Unlocking List
11/02/2022 01:41 PM - Anil KV

Status: Reopen Bugs Coding Done Start date: 12/06/2022
Priority: Normal Due date:

Assignee: Greeshma S % Done: 70%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 20:00 hours
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: Period Unlocking List

Description

Coding Period Unlocking

History

#1 - 11/02/2022 01:45 PM - Anil KV

- Assignee set to Junaid M

#2 - 11/16/2022 11:03 AM - Junaid M
- File 1-CsModel.cs added

- File 2-tsModel.ts added

- File 3-CsFile.cs added

- File 4-CsControllerFile.cs added

- File 5-TsFile.ts added

- File 6-HtmliFile.html added

- File sql.sql added

- Status changed from New to Open

- % Done changed from 0 to 10

#3 - 11/17/2022 09:54 AM - Anil KV
- Assignee changed from Junaid M to Amal Siby

#4 - 12/06/2022 06:33 PM - Amal Siby
- Status changed from Open to Coding Started
- % Done changed from 10 to 40

#5 - 12/08/2022 04:11 PM - Amal Siby

- Status changed from Coding Started to Particialy Coding Done

- Start date changed from 11/02/2022 to 12/06/2022

Coding Completed.
To Do:

In module tab, module tree widget needs to limit displaying module names. (Do after type key is added to menu service).

#6 - 01/11/2023 11:08 AM - Amal Cyriac

- Status changed from Particialy Coding Done to Reopen Bugs

- % Done changed from 40 to 50
- Tested By set to Amal Cyriac

ISSUE FOUND *****

1.DIV AUTOMATIALLY EXPANDS WHILE CLICK SEARCH BUTTON
2.SEARCH FILTERS (DATE) NOT WORKING PROPERLY
(DATE DIFFERENCE)

#7 - 01/14/2023 10:03 AM - Amal Siby
- Status changed from Reopen Bugs to Particialy Coding Done
- % Done changed from 50 to 40

Bug fixed, Updated

#8 - 03/16/2023 05:34 PM - Amal Cyriac
- Status changed from Particialy Coding Done to Reopen Bugs
- % Done changed from 40 to 50

1.Correct the module name -

(Change UnLock - to Unlock)

2.Use proper label

(Remove "Locked" from - Module, Branch, Type, User)
3.Use proper alerts for date picker

4.Use CODE:NAME format on selection box

(Branch)

5.Resize grid column

(Period from , Period to ,& Remarks)

#9 - 03/24/2023 06:21 PM - Amal Siby
- Status changed from Reopen Bugs to Particialy Coding Done
- % Done changed from 50 to 40

Reopen Coding Completed.
To Do:
In module tab, module tree widget needs to limit displaying module names. (Do after type key is added to menu service).

#10 - 04/19/2023 02:32 PM - Amal Siby
- Status changed from Particialy Coding Done to Coding Done
- % Done changed from 40 to 60

Module Selection updated.

#11 - 04/19/2023 06:21 PM - Amal Cyriac
- Status changed from Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUND *****
1.Redirect to new tab for edit or update the Period Unlocking

#12 - 04/26/2023 06:12 PM - Amal Siby
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#13 - 06/19/2023 06:24 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1.Fix bugs on Unlocked period - ( Date change to forward)
2.Add created Date & Time on grid

3.Set alignment on GUI

( Date pickers , Branch)

#14 - 06/29/2023 04:30 PM - Amal Siby

Reported bugs were fixed.
#15 - 06/29/2023 04:31 PM - Amal Siby
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#16 - 08/25/2023 10:51 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from Amal Cyriac to unnikannan S

#17 - 09/25/2023 07:24 PM - Amal Siby
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#18 - 04/06/2024 04:35 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

Fixed 1.CLEAR VALIDATION FOR BRANCH
Fixed 2.DISABLE ACCOUNT CODE FIELD AFTER SHOWING DATA

#19 - 04/09/2024 07:19 PM - Amal Siby
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#20 - 10/26/2024 10:12 AM - Arathy PS
- Assignee changed from Amal Siby to Nithin PM

#21 - 12/18/2024 12:10 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1. Can't update the unlocked period upon redirecting through period unlocking list.

#22 - 12/27/2024 06:24 PM - Nithin PM
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#23 - 02/24/2025 02:13 PM - Arathy PS
- Assignee changed from Nithin PM to Greeshma S

#24 - 02/24/2025 02:23 PM - Arathy PS

- File clipboard-202502241423-e04ub.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1. While clicking search after entering date data is not showing.
Travvise Period Unlocking List zl2 = v - [N C 5 | /|0

You have no Permission to VIEW Period Unlocking List.

Effective From* | 24/02/2025 (] 24/02/2025 ] Branch | BROO1:: Main ~

Y a3 s n

#  Pperiod Locked Action Locked Category Update Type Remarks Created By Created Date

No data

#25 - 02/25/2025 06:36 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

Files

2-tsModel.ts 1.48 KB 11/16/2022 Junaid M
1-CsModel.cs 2.52 KB 11/16/2022 Junaid M
3-CsFile.cs 4.27 KB 11/16/2022 Junaid M
4-CsControllerFile.cs 16.5 KB 11/16/2022 Junaid M
6-HtmlFile.html 1.92 KB 11/16/2022 Junaid M
5-TsFile.ts 13.8 KB 11/16/2022 Junaid M
sql.sql 22.4 KB 11/16/2022 Junaid M
clipboard-202502241423-e04ub.png 79 KB 02/24/2025 Arathy PS
